package com.isidroid.ui.maps.ext

// Константы
const val EARTH_RADIUS = 6371.0 // Радиус Земли в километрах

fun addKilometerToLatLng(lat: Double, lng: Double, distance: Double = 1.0): Pair<Double, Double> {
    val latInRadians = Math.toRadians(lat)
    val newLat = latInRadians + distance / EARTH_RADIUS
    val newLatInDegrees = Math.toDegrees(newLat)
    return Pair(newLatInDegrees, lng)
}
